Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167744 - Patch for: Ability save maven project dependency graph to image file
Patch for: Ability save maven project dependency graph to image file
Status: VERIFIED FIXED
Product: projects
Classification: Unclassified
Component: Maven
6.x
All All
: P3 (vote)
: 7.4
Assigned To: Milos Kleint
issues@platform
: PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 02:26 UTC by _ tboudreau
Modified: 2013-06-13 12:10 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (3.56 KB, patch)
2013-06-10 21:42 UTC, markiewb
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2009-06-28 02:26:08 UTC
Useful for project web sites
Comment 1 Milos Kleint 2009-07-29 07:40:30 UTC
reassigning to dafe.

BTW there are some maven plugins (that I haven't used) that shall be able to generate the graph to files of different
formats.
Comment 2 _ tboudreau 2009-07-31 03:30:29 UTC
I imagine so;  however, if you want to publish it on the web or in a book, you probably want to move things around,
delete extraneous elements (i.e. show the API, leave out the impl), etc.
Comment 3 markiewb 2013-06-10 21:42:17 UTC
Created attachment 135607 [details]
Proposed patch

I like to propose a patch which allows to export the dependency graph as an image.

Right click on the graph, choose "Export As Image", choose a filename and the current graph (layout and zoom is preserved) gets exported.
Comment 4 Milos Kleint 2013-06-11 07:50:09 UTC
applied, thanks.

http://hg.netbeans.org/core-main/rev/0929c5da8d71
Comment 5 Quality Engineering 2013-06-12 02:03:18 UTC
Integrated into 'main-golden', will be available in build *201306112301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/0929c5da8d71
User: Milos Kleint <mkleint@netbeans.org>
Log: #167744 save to image, patch supplied by markiewb@netbeans.org
Comment 6 markiewb 2013-06-13 12:10:49 UTC
Verified 201306122301


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo